Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Tue, 24 May 2022 07:35:41 +0000

Hi Aljoori Alghamdi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have an order since 18 of April and didn’t deliver yet to me I tried to call many time of your call center they open ticket but when I asked what is the update they say will open new ticket. 

When I asked for the supervisor on the shift they put me on hold for almost one hour this happened today 10 of May from 6:44 Pm up to 7:30 PM and I was on hold.

Need to know when my order will come Order#6138162832

Regards 
Mohanad 
0564954333 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4339671